<?php 
/*
# ------------------------------------------------------------------------
# JA Catpopup module for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------
*/

$catid = JRequest::getCmd('jacatpopup');
$numitems   = 	JRequest::getCmd('numitems');
$items = modJaCatpopupHelper::getList($catid, $numitems);
if(!$items || !count($items)) return;
$rows = array();
foreach($items as $item) $rows[] = $item;
?>
<?php 
if(!defined('_JA_CATVIEW_DEFAULT_')) {
	define ('_JA_CATVIEW_DEFAULT_', 1);
  $mainframe =& JFactory::getApplication('site');
  JHTML::stylesheet('',modJaCatpopupHelper::getFile('ja.catpopup.css','modules/mod_jacatpopup/jacatpopup/','templates/'.$mainframe->getTemplate().'/css/'));
  JHTML::script('ja.catpopup.js','modules/mod_jacatpopup/jacatpopup/');
}
?>      

<script type="text/javascript">
window.addEvent('domready', showfirst);
</script>
<div id="jacp-mainwrap" class="clearfix">

	<div id="jacp-mainleft">
		<ul class="jacp-main">
			<?php for ($i=0;$i<count($rows);$i++) :?>
			<li id="jacp-li<?php echo $i;?>">
				<a href="#" onclick="showitem(<?php echo $i;?>);return false;" title="<?php echo strip_tags($rows[$i]->title);?>"><span><?php echo $rows[$i]->title;?></span></a>
			</li>
			<?php endfor; ?>
		</ul>
	</div>

	<div id="jacp-mainright">
		<?php for ($i=0;$i<count($rows);$i++) :?>
		<div id="jacp-item<?php echo $i;?>" class="jacp-mainitem">
			<h2 class="jacp-title"><?php echo $rows[$i]->title;?></h2>
			<?php echo $rows[$i]->introtext."\n".$rows[$i]->fulltext;?>
		</div>
		<?php endfor; ?>
	</div>

</div>