<?php
/*

# ------------------------------------------------------------------------
# JA Fedora template for joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

include_once (dirname(__FILE__).DS.'ja_vars_1.5.php');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>">

<head>
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>

<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/editor.css" type="text/css" />

<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/typo.css" type="text/css" />

<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl(); ?>/js/ja.script.js"></script>

<!-- Menu head -->
<?php $jamenu->genMenuHead(); ?>

<link href="<?php echo $tmpTools->templateurl(); ?>/css/colors/<?php echo $tmpTools->getParam(JA_TOOL_COLOR); ?>.css" rel="stylesheet" type="text/css" />

<!--[if lte IE 6]>
<style type="text/css">
.clearfix {height: 1%;}
img {border: none;}
</style>
<![endif]-->

<!--[if gte IE 7.0]>
<style type="text/css">
.clearfix {display: inline-block;}
</style>
<![endif]-->

<?php if ($tmpTools->isIE6()) { ?>
<!--[if lte IE 6]>
<link href="<?php echo $tmpTools->templateurl(); ?>/css/ie6.php" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var siteurl = '<?php echo $tmpTools->baseurl();?>';
window.addEvent ('load', makeTransBG);
function makeTransBG() {
makeTransBg($$('img'));
}
</script>
<![endif]-->
<?php } ?>

<!--[if gt IE 7]>
<link href="<?php echo $tmpTools->templateurl(); ?>/css/ie8.css" rel="stylesheet" type="text/css" />
<![endif]-->

</head>

<body id="bd" class="<?php echo $tmpTools->getParam(JA_TOOL_SCREEN);?> fs<?php echo $tmpTools->getParam(JA_TOOL_FONT);?>" >
<a name="Top" id="Top"></a>
<ul class="accessibility">
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-content" title="<?php echo JText::_("Skip to content");?>"><?php echo JText::_("Skip to content");?></a></li>
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-mainnav" title="<?php echo JText::_("Skip to main navigation");?>"><?php echo JText::_("Skip to main navigation");?></a></li>
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-col1" title="<?php echo JText::_("Skip to 1st column");?>"><?php echo JText::_("Skip to 1st column");?></a></li>
	<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-col2" title="<?php echo JText::_("Skip to 2nd column");?>"><?php echo JText::_("Skip to 2nd column");?></a></li>
</ul>

<div id="ja-wrapper">
<div id="ja-wrapper-inner">

<!-- BEGIN: HEADER -->
<div id="ja-headerwrap" class="clearfix">
<div id="ja-header" class="clearfix"<?php if( !$this->countModules('topsl') ) {?>style="height: 50px;"<?php } ?>>

<?php 
	$siteName = $tmpTools->sitename(); 
	if ($tmpTools->getParam('logoType')=='image') { ?>
	<div id="ja-logo">
	<h1 class="logo">
		<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $siteName; ?></span></a>
	</h1>
	</div>
<?php } else { 
	$logoText = (trim($tmpTools->getParam('logoText'))=='') ? $config->sitename : $tmpTools->getParam('logoText');
	$sloganText = (trim($tmpTools->getParam('sloganText'))=='') ? JText::_('SITE SLOGAN') : $tmpTools->getParam('sloganText');	?>
	<div id="ja-logo">
	<h1 class="logo-text">
		<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $logoText; ?></span></a>	
	</h1>
	<p class="site-slogan"><?php echo $sloganText;?></p>
	</div>
<?php } ?>

<!-- BEGIN: MAIN NAVIGATION -->
<div id="ja-mainnavwrap">
	<div id="ja-mainnav">
		<?php $jamenu->genMenu (0); ?>
	</div>
</div>
<!-- END: MAIN NAVIGATION -->

<?php if($this->countModules('top')) : ?>
<div id="ja-login">
	<jdoc:include type="modules" name="top" style="xhtml" />
</div>
<?php endif ; ?>

<?php if($this->countModules('topsl')) : ?>
<div id="ja-topsl1"<?php if( !$this->countModules('top') ) {?>style="left: 0;width: 100%;"<?php } ?>>
	<jdoc:include type="modules" name="topsl" style="xhtml" />
</div>
<?php endif ; ?>

</div>
</div>
<!-- END: HEADER -->

<div id="ja-containerwrap<?php echo $divid; ?>">
<div id="ja-container" class="clearfix">

  <div id="ja-mainbody" class="clearfix">

	<?php
	$spotlight = array ('user5','user6','user7');
	$topsl = $tmpTools->calSpotlight ($spotlight,$tmpTools->isOP()?100:100);
	if( $topsl ) {
	?>
	<!-- BEGIN: TOP SPOTLIGHT 2 -->
	<div id="ja-topsl2" class="clearfix">
	  <?php if( $this->countModules('user5') ) {?>
	  <div class="ja-box<?php echo $topsl['user5']['class']; ?>" style="width: <?php echo $topsl['user5']['width']; ?>;">
			<jdoc:include type="modules" name="user5" style="xhtml" />
	  </div>
	  <?php } ?>
	
	  <?php if( $this->countModules('user6') ) {?>
	  <div class="ja-box<?php echo $topsl['user6']['class']; ?>" style="width: <?php echo $topsl['user6']['width']; ?>;">
			<jdoc:include type="modules" name="user6" style="xhtml" />
	  </div>
	  <?php } ?>
	
	  <?php if( $this->countModules('user7') ) {?>
	  <div class="ja-box<?php echo $topsl['user7']['class']; ?>" style="width: <?php echo $topsl['user7']['width']; ?>;">
			<jdoc:include type="modules" name="user7" style="xhtml" />
	  </div>
	  <?php } ?>

	</div>
	<!-- END: TOP SPOTLIGHT 2 -->
	<?php } ?>

	<!-- BEGIN: CONTENT -->
	<div id="ja-content" class="clearfix">

		<div id="ja-current-content"<?php if( !$this->countModules('topsl') ) {?>style="padding-top: 30px;"<?php } ?>>

			<?php if(!$tmpTools->isFrontPage()) : ?>
			<div id="ja-pathway">
				<jdoc:include type="module" name="breadcrumbs" />
			</div>
			<?php endif ; ?>
			<jdoc:include type="message" />	
			<jdoc:include type="component" />

		</div>
		
	  <?php if($this->countModules('banner')) : ?>
		<!-- BEGIN: BANNER -->
		<div id="ja-banner">
			<jdoc:include type="modules" name="banner" />
		</div>
		<!-- END: BANNER -->
		<?php endif; ?>

	</div>
	<!-- END: CONTENT -->

  <?php if ($ja_right) { ?>
  <!-- BEGIN: RIGHT COLUMN -->
	<div id="ja-col2"<?php if( !$this->countModules('topsl') ) {?>style="margin-top: 20px;"<?php } ?>>
	<div class="ja-innerpad">
		<jdoc:include type="modules" name="right" style="xhtml" />
	</div>
	</div>
	<!-- END: RIGHT COLUMN -->
	<?php } ?>
		
	</div>
		
	<?php if ($ja_left) { ?>
	<!-- BEGIN: LEFT COLUMN -->
	<div id="ja-col1"<?php if( !$this->countModules('topsl') ) {?>style="padding-top: 30px;"<?php } ?>>

		<?php if ($hasSubnav) {?>
		<div id="ja-subnav" class="moduletable">
			<h3>On This Page</h3>
			<?php $jamenu->genMenu (1,1);	?>
		</div>
		<?php } ?>

		<jdoc:include type="modules" name="left" style="xhtml" />

	</div>
	<!-- END: LEFT COLUMN -->
	<?php } ?>

</div></div>

<?php
$spotlight = array ('user1','user2','user8','user9','user10');
$botsl = $tmpTools->calSpotlight ($spotlight,$tmpTools->isOP()?100:100);
if( $botsl ) {
?>
<!-- BEGIN: BOTTOM SPOTLIGHT -->
<div id="ja-botsl" class="clearfix">

  <?php if( $this->countModules('user1') ) {?>
  <div class="ja-box<?php echo $botsl['user1']['class']; ?>" style="width: <?php echo $botsl['user1']['width']; ?>;">
		<jdoc:include type="modules" name="user1" style="xhtml" />
  </div>
  <?php } ?>

  <?php if( $this->countModules('user2') ) {?>
  <div class="ja-box<?php echo $botsl['user2']['class']; ?>" style="width: <?php echo $botsl['user2']['width']; ?>;">
		<jdoc:include type="modules" name="user2" style="xhtml" />
  </div>
  <?php } ?>

  <?php if( $this->countModules('user8') ) {?>
  <div class="ja-box<?php echo $botsl['user8']['class']; ?>" style="width: <?php echo $botsl['user8']['width']; ?>;">
		<jdoc:include type="modules" name="user8" style="xhtml" />
  </div>
  <?php } ?>
  
  <?php if( $this->countModules('user9') ) {?>
  <div class="ja-box<?php echo $botsl['user9']['class']; ?>" style="width: <?php echo $botsl['user9']['width']; ?>;">
		<jdoc:include type="modules" name="user9" style="xhtml" />
  </div>
  <?php } ?>
  
  <?php if( $this->countModules('user10') ) {?>
  <div class="ja-box<?php echo $botsl['user10']['class']; ?>" style="width: <?php echo $botsl['user10']['width']; ?>;">
		<jdoc:include type="modules" name="user10" style="xhtml" />
  </div>
  <?php } ?>

</div>
<!-- END: BOTTOM SPOTLIGHT -->
<?php } ?>

<!-- BEGIN: FOOTER -->
<div id="ja-footer">
	<?php if($this->countModules('user4')) : ?>
	<div id="ja-search" class="moduletable">
		<jdoc:include type="modules" name="user4" />
	</div>
	<?php endif; ?>
	<jdoc:include type="modules" name="user3" />
	<jdoc:include type="modules" name="footer" />
</div>
<!-- END: FOOTER -->

</div>
</div>

<jdoc:include type="modules" name="debug" /><?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                                                                                    <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
<?php } ?>

</body>

</html>
